PCPPI(4)

NAME
pcppi - PC (ISA) control and timer port driver

SYNOPSIS
pcppi* at isa?
spkr* at pcppi?
midi* at pcppi?
isabeep* at pcppi? (alpha only)
sysbeep* at pcppi? (i386 only)

DESCRIPTION
The pcppi driver handles ressource allocation and device attachment for the ports related to the ISA speaker in the traditional PC/AT “design”. These are the “system control port” (which was implemented by the 8255 “PPI” in the XT, hence the name of this driver) at IO address 0x61 and the first 8253 timer at 0x40-0x43.

It provides its child devices with the ability to output simple tones through the PC speaker. speaker(4) and midi(4) are devices for their own. “isabeep /” “sysbeep” is a helper device which the pckbd(4) driver uses as a substitute for a “keyboard beep” because the PC keyboard hardware doesn't provide this.

SEE ALSO
isa(4), speaker(4), midi(4), pckbd(4).